Subject: [bug#75528] [PATCH 1/2] gnu: Add apcupsd.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 13 Feb 2025 14:43:27 +0900

Hi Tomas,

Tomas Volf <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi,
>>
>> Tomas Volf <[email-masked]> writes:
>>
>>> --- /dev/null
>>> +++ b/gnu/packages/power.scm
>>> @@ -0,0 +1,125 @@
>>> +;;; Copyright (C) 2025 Tomas Volf <[email-masked]>
>>> +;;; Copyright (C) 2023 Raven Hallsby <[email-masked]>
>>
>> One last thing; I don't see Raven listed in a 'Co-authored-by:' git
>> trailer in the commit message; should they?  Or otherwise mention
>> plainly this work was based on their previous work, made available
>> '$where'.
>
> I did not know about co-authored trailer.  Should it be used even in
> situations where I just took a look at his version online without any
> active involvement?  Currently I have modified the commit message to:

I believe if you reused enough of the code to make it necessary to add
their name to the copyright notice, then a Co-authored-by git trailer
would make sense (whether they were actively involved in your version or
not).

> gnu: Add apcupsd.
>
> Some parts were taken or inspired by the work of Raven Hallsby available
> here[0].  For that reason I have added his copyright as well (I asked for the
> permission).
>
> 0: https://raw.githubusercontent.com/KarlJoad/guix/9013b5ac3fadb48fad2e7ef1fbfaa4848dcb922a/gnu/packages/power.scm
>
> * gnu/packages/power.scm (apcupsd): New variable.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Register the new file.
>
> Change-Id: I0e4b2f50c8adf0f96d140e2be0f79e3740f4955c
>
> Is that sufficient?

Co-authored-by is not mandatory, but I see it as a nice etiquette to
have, similar to how it's important to preserve the proper commit
authorship information, for due credits.

-- 
Thanks,
Maxim